Main Page Widgets Namespaces Book

# Gtk::ScaleButton Class Reference
[Widgets]

Inheritance diagram for Gtk::ScaleButton:

[legend]

List of all members.

## Detailed Description

A button which pops up a scale widget.

This kind of widget is commonly used for volume controls in multimedia applications, and there is a Gtk::VolumeButton subclass that is tailored for this use case.

Since gtkmm 2.12:

## Public Member Functions

Gtk::Adjustment* | get_adjustment () const
| Gets the Gtk::Adjustment associated with the Gtk::ScaleButton's scale.
Gtk::Adjustment* | get_adjustment ()
| Gets the Gtk::Adjustment associated with the Gtk::ScaleButton's scale.
const Widget* | get_minus_button () const
Widget* | get_minus_button ()
Orientation | get_orientation ()
const Widget* | get_plus_button () const
Widget* | get_plus_button ()
const Gtk::Widget* | get_popup () const
Gtk::Widget* | get_popup ()
double | get_value () const
| Gets the current value of the scale button.
const GtkScaleButton* | gobj () const
| Provides access to the underlying C GtkObject.
GtkScaleButton* | gobj ()
| Provides access to the underlying C GtkObject.
Glib::PropertyProxy_ReadOnly <Adjustment*> | property_adjustment () const
| The GtkAdjustment that contains the current value of this scale button object.
Glib::PropertyProxy<Adjustment*> | property_adjustment ()
| The GtkAdjustment that contains the current value of this scale button object.
Glib::PropertyProxy_ReadOnly <Orientation> | property_orientation () const
| The orientation of the scale.
Glib::PropertyProxy<Orientation> | property_orientation ()
| The orientation of the scale.
Glib::PropertyProxy_ReadOnly <IconSize> | property_size () const
| The icon size.
Glib::PropertyProxy<IconSize> | property_size ()
| The icon size.
Glib::PropertyProxy_ReadOnly <double> | property_value () const
| The value of the scale.
Glib::PropertyProxy<double> | property_value ()
| The value of the scale.
| ScaleButton (IconSize size, double min, double max, double step, const Glib::StringArrayHandle& icons)
void | set_adjustment (Gtk::Adjustment& adjustment)
| Sets the Gtk::Adjustment to be used as a model for the Gtk::ScaleButton's scale.
void | set_icons (const Glib::StringArrayHandle& icons)
| Sets the icons to be used by the scale button.
void | set_orientation (Orientation orientation)
void | set_value (double value)
| Sets the current value of the scale; if the value is outside the minimum or maximum range values, it will be clamped to fit inside them.
Glib::SignalProxy1<void, double> | signal_value_changed ()
virtual | ~ScaleButton ()

## Protected Member Functions

virtual void | on_value_changed (double value)

## Related Functions

(Note that these are not member functions.)
Gtk::ScaleButton* | wrap (GtkScaleButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::ScaleButton::~ScaleButton | ( |  | ) | `[virtual]`

Gtk::ScaleButton::ScaleButton | ( | IconSize | size,
|  | double | min,
|  | double | max,
|  | double | step,
|  | const Glib::StringArrayHandle & | icons |
| ) |  |  | `[explicit]`

## Member Function Documentation

Gtk::Adjustment* Gtk::ScaleButton::get_adjustment | ( |  | ) | const

Gets the Gtk::Adjustment associated with the Gtk::ScaleButton's scale.

See Gtk::Range::get_adjustment() for details.

Returns:
  The adjustment associated with the scale

Since gtkmm 2.12:

Gtk::Adjustment* Gtk::ScaleButton::get_adjustment | ( |  | ) |

Gets the Gtk::Adjustment associated with the Gtk::ScaleButton's scale.

See Gtk::Range::get_adjustment() for details.

Returns:
  The adjustment associated with the scale

Since gtkmm 2.12:

const Widget* Gtk::ScaleButton::get_minus_button | ( |  | ) | const

Widget* Gtk::ScaleButton::get_minus_button | ( |  | ) |

Orientation Gtk::ScaleButton::get_orientation | ( |  | ) |

const Widget* Gtk::ScaleButton::get_plus_button | ( |  | ) | const

Widget* Gtk::ScaleButton::get_plus_button | ( |  | ) |

const Gtk::Widget* Gtk::ScaleButton::get_popup | ( |  | ) | const

Gtk::Widget* Gtk::ScaleButton::get_popup | ( |  | ) |

double Gtk::ScaleButton::get_value | ( |  | ) | const

Gets the current value of the scale button.

Returns:
  Current value of the scale button

Since gtkmm 2.12:

const GtkScaleButton* Gtk::ScaleButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

Reimplemented in Gtk::VolumeButton.

GtkScaleButton* Gtk::ScaleButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

Reimplemented in Gtk::VolumeButton.

virtual void Gtk::ScaleButton::on_value_changed | ( | double | value | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Adjustment*> Gtk::ScaleButton::property_adjustment | ( |  | ) | const

The GtkAdjustment that contains the current value of this scale button object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Adjustment*> Gtk::ScaleButton::property_adjustment | ( |  | ) |

The GtkAdjustment that contains the current value of this scale button object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Orientation> Gtk::ScaleButton::property_orientation | ( |  | ) | const

The orientation of the scale.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Orientation> Gtk::ScaleButton::property_orientation | ( |  | ) |

The orientation of the scale.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<IconSize> Gtk::ScaleButton::property_size | ( |  | ) | const

The icon size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<IconSize> Gtk::ScaleButton::property_size | ( |  | ) |

The icon size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gtk::ScaleButton::property_value | ( |  | ) | const

The value of the scale.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gtk::ScaleButton::property_value | ( |  | ) |

The value of the scale.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::ScaleButton::set_adjustment | ( | Gtk::Adjustment& | adjustment | ) |

Sets the Gtk::Adjustment to be used as a model for the Gtk::ScaleButton's scale.

See Gtk::Range::set_adjustment() for details.

Since gtkmm 2.12:

Parameters:

  | adjustment | A Gtk::Adjustment.

void Gtk::ScaleButton::set_icons | ( | const Glib::StringArrayHandle & | icons | ) |

Sets the icons to be used by the scale button.

For details, see the Gtk::ScaleButton:icons property.

Since 2.12

Parameters:

  | icons | A `0`-terminated array of icon names.

void Gtk::ScaleButton::set_orientation | ( | Orientation | orientation | ) |

void Gtk::ScaleButton::set_value | ( | double | value | ) |

Sets the current value of the scale; if the value is outside the minimum or maximum range values, it will be clamped to fit inside them.

The scale button emits the Gtk::ScaleButton::value-changed signal if the value changes.

Since gtkmm 2.12:

Parameters:

  | value | New value of the scale button.

Glib::SignalProxy1< void,double > Gtk::ScaleButton::signal_value_changed | ( |  | ) |

Prototype:
  `void on_my_value_changed(double value)`

## Friends And Related Function Documentation

Gtk::ScaleButton* wrap | ( | GtkScaleButton * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- scalebutton.h